// SPDX-License-Identifier: GPL-2.0-only
/* Copyright (c) 2015-2020 Graphcore Ltd. */
/*
 * IPU device driver.
 *
 * Description: Linux device driver initialization and exit.
 */

#include <linux/module.h>

#include "ipu_driver.h"
#include "pci.h"

MODULE_LICENSE(IPU_MODULE_LICENSE);
MODULE_AUTHOR(IPU_MODULE_AUTHOR);
MODULE_DESCRIPTION(IPU_MODULE_DESCRIPTION);
MODULE_VERSION(IPU_MODULE_VERSION);

static int __init ipu_driver_init(void)
{
	int err;

	err = ipu_pci_init();
	if (err != 0) {
		pr_err(IPU_MODULE_NAME "failed to initialize PCI");
		return err;
	}

	pr_info(IPU_MODULE_NAME " loaded");

	return 0;
}

static void __exit ipu_driver_exit(void)
{
	ipu_pci_exit();

	pr_info(IPU_MODULE_NAME " unloaded");
}

module_init(ipu_driver_init);
module_exit(ipu_driver_exit);
